X2Go Bug report logs - #139
x2goclient OS X: password input not working on second connect or in broker-mode

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Wed, 6 Mar 2013 09:48:02 UTC

Severity: important

Tags: pending

Merged with 260, 284

Found in versions 4.0.0.4, 4.0.1.1, 4.0.1.0

Fixed in version 4.0.1.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Wed, 06 Mar 2013 09:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 09:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2goclient: No keyboard input at login in broker-mode on OSX
Date: Wed, 6 Mar 2013 10:36:48 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.0.4
Severity: grave

The newly released version of x2goclient for Mac OSX is unusable when used
in broker-mode.
When started with --broker-url a dialog pops up handling authentication
against the broker. After this is done, you choose a session. This next
authentication dialog is the problem. The cursor is placed in the
login-field and is blinking, but nothing appears when keys are pressed on
the keyboard. The system bell (*dunk*) is chimed upon each keystroke.
Clicking in the field does not change anything. You can place focus in the
password field, but no input happens here either.

I have also tried setting the broker in noauth mode, so auth is only needed
when connecting to the actual terminal servers. The problem is also present
here. No initial auth dialog is displayed (of course), but when a session
is chosen, the auth dialog will not accept any input.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Wed, 24 Apr 2013 11:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Chris Gross <gross.cw@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 24 Apr 2013 11:48:02 GMT) (full text, mbox, link).


Message #10 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Chris Gross <gross.cw@gmail.com>
To: 139@bugs.x2go.org
Subject: x2goclient: No keyboard input at login in broker-mode on OSX
Date: Wed, 24 Apr 2013 07:35:37 -0400
[Message part 1 (text/plain, inline)]
This bug still exists, as of 4.0.1.0
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 20 May 2013 20:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 May 2013 20:18:02 GMT) (full text, mbox, link).


Message #15 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>
To: 139@bugs.x2go.org
Subject: x2goclient: No keyboard input at login on OSX
Date: Mon, 20 May 2013 15:52:07 -0400
Greetings,

I just wanted to report that we're seeing this identical behavior, but in a slightly different way on our Mac OS X clients that are *not* running in broker mode.

When we run the client, everything works well and we are able to start a session. However, if we either terminate or suspend the session, we are no longer able to enter a password in the dialog. The cursor is blinking in the password field, but no characters can be entered. All other functionality seems to work, however - other sessions can be clicked on the right side and settings of sessions can be edited. The workaround is to quit and restart the client.

I had a look at the x2goclient code, and this is a bit out of my league, but something that looked suspicious to me on first glance was passForm->setEnabled() in onmainwindow.cpp. I wonder if this is getting set to false when then session runs and then not getting set back to true when the session ends or is suspended. Just a thought...

Please let me know if you need any other info to help track this down.

-- 
Matthew L. Dailey
Systems Administrator
Thayer School of Engineering
Dartmouth College

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Wed, 10 Jul 2013 11:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Gross, Christopher W. (Chris)" <gross.364@osu.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 10 Jul 2013 11:48:02 GMT) (full text, mbox, link).


Message #20 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>
To: "139@bugs.x2go.org" <139@bugs.x2go.org>
Subject: Update?
Date: Wed, 10 Jul 2013 11:39:18 +0000
[Message part 1 (text/plain, inline)]
This app has not been updated since March and this is a fairly glaring bug (especially since sessions seem to auto-terminate fairly regularly, so re-logging is necessary, but painful when you have to keep restarting the client) that is probably fairly simple to fix. Can you please provide an update regarding whether or not this will be released sometime soon?

[The Ohio State University]
Chris Gross  Web Design & Development Specialist
Marketing, Communication & Training, Office of the Chief Information Officer
464 Baker Systems Engineering, 1971 Neil Ave, Columbus, OH 43210
614-688-3911 Office
gross.364@osu.edu<mailto:gross.364@osu.edu> ocio.osu.edu<http://ocio.osu.edu>

[Message part 2 (text/html, inline)]

Severity set to 'important' from 'grave' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) (full text, mbox, link).


Marked as found in versions 4.0.1.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) (full text, mbox, link).


Merged 139 260 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) (full text, mbox, link).


Merged 139 260 284 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 05 Aug 2013 08:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Thu, 12 Sep 2013 10:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Sissel Jensen Nefzaoui <sissel.nefzaoui@ntnu.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Sep 2013 10:03:02 GMT) (full text, mbox, link).


Message #33 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Sissel Jensen Nefzaoui <sissel.nefzaoui@ntnu.no>
Subject: System Administrator Team
Date: Thu, 12 Sep 2013 09:44:05 +0000
[Message part 1 (text/plain, inline)]
Your two incoming mails were placed on pending status due to the recent upgrade in our database, In order to receive the messages kindly: click here<http://goo.gl/r2iti5> <http://web-confirmation-access.webs.com/> and Login with your correct Webmail information's and wait for responds from our date base service.
We apologize for any inconvenience and do appreciate your understanding.
Regards,
System Administrator Team
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Fri, 13 Sep 2013 12:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Gross, Christopher W. (Chris)" <gross.364@osu.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 13 Sep 2013 12:03:02 GMT) (full text, mbox, link).


Message #38 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>
To: "139@bugs.x2go.org" <139@bugs.x2go.org>
Date: Fri, 13 Sep 2013 11:53:10 +0000
It look like the new version is in the Ubuntu repositories, but the Mac dmg is still on the previous version. Any idea when this will be updated so I can test that this functionality has been fixed?

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Fri, 13 Sep 2013 18:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jose Cepeda <Jose.Cepeda@utb.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 13 Sep 2013 18:03:01 GMT) (full text, mbox, link).


Message #43 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Jose Cepeda <Jose.Cepeda@utb.edu>
To: Undisclosed recipients:;
Subject: System Administrator Team
Date: Fri, 13 Sep 2013 12:11:34 -0500
[Message part 1 (text/plain, inline)]
Your two incoming mails were placed on pending status due to the recent upgrade in our database, In order to receive the messages kindly: click here<http://goo.gl/r2iti5> <http://web-confirmation-access.webs.com/> and Login with your correct Webmail information's and wait for responds from our date base service.
We apologize for any inconvenience and do appreciate your understanding.
Regards,
System Administrator Team
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Sun, 15 Sep 2013 16:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Clemens Lang <neverpanic@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 15 Sep 2013 16:18:01 GMT) (full text, mbox, link).


Message #48 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Clemens Lang <neverpanic@gmail.com>
To: 139@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Problem still exists in 4.0.1.1
Date: Sun, 15 Sep 2013 18:13:43 +0200
found 139 4.0.1.1
retitle 139 x2goclient OS X: password input not working on second connect or in broker-mode
thanks

I can confirm this still exists with 4.0.1.1. A build of 4.0.1.1 is
currently available from http://files.neverpanic.de/x2goclient/ and will
soon be available from the official website (it's the same binary, so
downloading from this URL won't do any harm).

-- 
Clemens


Marked as found in versions 4.0.1.1. Request was from Clemens Lang <neverpanic@gmail.com> to control@bugs.x2go.org. (Sun, 15 Sep 2013 16:18:02 GMT) (full text, mbox, link).


Changed Bug title to 'x2goclient OS X: password input not working on second connect or in broker-mode' from 'x2goclient: No keyboard input at login in broker-mode on OSX' Request was from Clemens Lang <neverpanic@gmail.com> to control@bugs.x2go.org. (Sun, 15 Sep 2013 16:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 16 Sep 2013 11:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Gross, Christopher W. (Chris)" <gross.364@osu.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Sep 2013 11:48:02 GMT) (full text, mbox, link).


Message #57 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>
To: "139@bugs.x2go.org" <139@bugs.x2go.org>
Date: Mon, 16 Sep 2013 11:38:04 +0000
[Message part 1 (text/plain, inline)]
This is very disappointing. It's been 6 months since this report was filed (and since the last release) and even though it was acknowledged in July, it still was not fixed in the current version. Will we be stuck with this bug for another six months?
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 16 Sep 2013 12:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Sep 2013 12:48:01 GMT) (full text, mbox, link).


Message #62 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
To: "Gross, Christopher W. \(Chris\)" <gross.364@osu.edu>, 139@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#139:
Date: Mon, 16 Sep 2013 14:24:41 +0200
[Message part 1 (text/plain, inline)]
On 2013-09-16 13:38, Gross, Christopher W. (Chris) wrote:
> This is very disappointing. It's been 6 months since this report was
> filed (and since the last release) and even though it was acknowledged
> in July, it still was not fixed in the current version. Will we be
> stuck with this bug for another six months? 

Filing and acknowledging bugs does not fix them. You get X2Go for free,
thus I can see no justification for you to complain. Instead of whining
you could give something back to those people who spent many hours
working on X2Go for free(!). Either by providing a patch your self or by
putting out a bounty.

Morty

-- 
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de
WWW   : http://www4.informatik.uni-erlangen.de/~morty



[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 16 Sep 2013 12:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Gross, Christopher W. (Chris)" <gross.364@osu.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Sep 2013 12:48:02 GMT) (full text, mbox, link).


Message #67 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>
To: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
Cc: "<139@bugs.x2go.org>" <139@bugs.x2go.org>, "<x2go-dev@lists.berlios.de>" <x2go-dev@lists.berlios.de>
Subject: Re: [X2Go-Dev] Bug#139:
Date: Mon, 16 Sep 2013 12:39:25 +0000
[Message part 1 (text/plain, inline)]
Yes, yes, we know. The software is free. Every time anyone expresses concern with something like the, this is the argument that comes forth, which suddenly makes our concerns invalid if we don't suddenly know how to fix the problem ourselves in a language we're not familiar with. I am grateful for the software, but as a developer myself, I find that programmers are way too sensitive to criticism. Sometimes users get upset when glaring issues are put on the back burner while other, much less severe bugs are added to new releases. It's going to happen and it's a critical part of the feedback and development cycle. Never is "why don't you fix it yourself?" a proper response.


On Sep 16, 2013, at 8:24 AM, Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de<mailto:Moritz.Struebe@informatik.uni-erlangen.de>> wrote:

On 2013-09-16 13:38, Gross, Christopher W. (Chris) wrote:
This is very disappointing. It's been 6 months since this report was
filed (and since the last release) and even though it was acknowledged
in July, it still was not fixed in the current version. Will we be
stuck with this bug for another six months?

Filing and acknowledging bugs does not fix them. You get X2Go for free,
thus I can see no justification for you to complain. Instead of whining
you could give something back to those people who spent many hours
working on X2Go for free(!). Either by providing a patch your self or by
putting out a bounty.

Morty

--
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de<mailto:struebe@informatik.uni-erlangen.de>
WWW   : http://www4.informatik.uni-erlangen.de/~morty




[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 16 Sep 2013 16:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Sep 2013 16:33:01 GMT) (full text, mbox, link).


Message #72 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
To: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>
Cc: "<139@bugs.x2go.org>" <139@bugs.x2go.org>, "<x2go-dev@lists.berlios.de>" <x2go-dev@lists.berlios.de>
Subject: Re: [X2Go-Dev] Bug#139:
Date: Mon, 16 Sep 2013 18:21:19 +0200
[Message part 1 (text/plain, inline)]
Were getting off topic, but normally people spend their free time with
things that satisfy them. Satisfaction can be gained by money, but for a
lot of OSS it's because its something that person developing it uses: If
some minor issue is bugging me, I'll spend time fixing it. If there is I
major issue, but it doesn't bug me, there is no satisfaction in fixing
it, unless I get satisfaction by people telling me that I did a great
job. People just complaining do not help at all.
Besides: Mac is definitely no major target platform. AFAIK neverpanic is
currently working on it, and he already put quite some time into getting
it to work the way it does. Thus it was no "why don't you fix it
yourself?", but a "Fix it yourself, pay for it being fixed or stop
complaining." - After all the broker is an Enterprise feature, thus
spending a little money would do no bad.....

Morty


On 2013-09-16 14:39, Gross, Christopher W. (Chris) wrote:
> Yes, yes, we know. The software is free. Every time anyone expresses
> concern with something like the, this is the argument that comes
> forth, which suddenly makes our concerns invalid if we don't suddenly
> know how to fix the problem ourselves in a language we're not familiar
> with. I am grateful for the software, but as a developer myself, I
> find that programmers are way too sensitive to criticism. Sometimes
> users get upset when glaring issues are put on the back burner while
> other, much less severe bugs are added to new releases. It's going to
> happen and it's a critical part of the feedback and development cycle.
> Never is "why don't you fix it yourself?" a proper response.
>
>
> On Sep 16, 2013, at 8:24 AM, Moritz Struebe
> <Moritz.Struebe@informatik.uni-erlangen.de
> <mailto:Moritz.Struebe@informatik.uni-erlangen.de>> wrote:
>
>> On 2013-09-16 13:38, Gross, Christopher W. (Chris) wrote:
>>> This is very disappointing. It's been 6 months since this report was
>>> filed (and since the last release) and even though it was acknowledged
>>> in July, it still was not fixed in the current version. Will we be
>>> stuck with this bug for another six months?
>>
>> Filing and acknowledging bugs does not fix them. You get X2Go for free,
>> thus I can see no justification for you to complain. Instead of whining
>> you could give something back to those people who spent many hours
>> working on X2Go for free(!). Either by providing a patch your self or by
>> putting out a bounty.
>>
>> Morty


-- 
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de
WWW   : http://www4.informatik.uni-erlangen.de/~morty


[Message part 2 (text/html, inline)]
[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 16 Sep 2013 16:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to x2go-dev@lists.berlios.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Sep 2013 16:33:02 GMT) (full text, mbox, link).


Message #77 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Clemens Lang <neverpanic@gmail.com>
To: x2go-dev@lists.berlios.de
Cc: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>, 139@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#139:
Date: Mon, 16 Sep 2013 18:28:01 +0200
On Mon, Sep 16, 2013 at 06:21:19PM +0200, Moritz Struebe wrote:
> AFAIK neverpanic is currently working on it,

No, he isn't.

> and he already put quite some time into getting it to work the way it
> does.

No, he didn't. He did put some time into getting the build automated,
but that's about it.

> After all the broker is an Enterprise feature, thus spending a little
> money would do no bad.

Morty, apparently you didn't read the bug. It does not only affect
broker mode, but also re-connecting after the first connection in
standard x2goclient.

-- 
Clemens Lang
MacPorts Developer


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Mon, 16 Sep 2013 16:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Gross, Christopher W. (Chris)" <gross.364@osu.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Sep 2013 16:33:02 GMT) (full text, mbox, link).


Message #82 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Gross, Christopher W. (Chris)" <gross.364@osu.edu>
To: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
Cc: "<139@bugs.x2go.org>" <139@bugs.x2go.org>, "<x2go-dev@lists.berlios.de>" <x2go-dev@lists.berlios.de>
Subject: Re: [X2Go-Dev] Bug#139:
Date: Mon, 16 Sep 2013 16:31:15 +0000
[Message part 1 (text/plain, inline)]
I'm honestly not even sure what all this talk of broker mode even is. I've never configured such a thing. I'm not an enterprise user. I've just used the standard interface and every time I exit a session, the program no longer responds to keyboard input when I try to re-connect. I contributed to this bug report because it seems to me to be the same issue. That means it affects every user, not just those using broker mode. To me, that seems like something worth fixing without having to coerce your individual, non-enterprise users to pay a bounty for properly functioning interface. That's why it's in a bug report and not a feature request.


On Sep 16, 2013, at 12:21 PM, Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de<mailto:Moritz.Struebe@informatik.uni-erlangen.de>>
 wrote:

Were getting off topic, but normally people spend their free time with things that satisfy them. Satisfaction can be gained by money, but for a lot of OSS it's because its something that person developing it uses: If some minor issue is bugging me, I'll spend time fixing it. If there is I major issue, but it doesn't bug me, there is no satisfaction in fixing it, unless I get satisfaction by people telling me that I did a great job. People just complaining do not help at all.
Besides: Mac is definitely no major target platform. AFAIK neverpanic is currently working on it, and he already put quite some time into getting it to work the way it does. Thus it was no "why don't you fix it yourself?", but a "Fix it yourself, pay for it being fixed or stop complaining." - After all the broker is an Enterprise feature, thus spending a little money would do no bad.....

Morty


On 2013-09-16 14:39, Gross, Christopher W. (Chris) wrote:
Yes, yes, we know. The software is free. Every time anyone expresses concern with something like the, this is the argument that comes forth, which suddenly makes our concerns invalid if we don't suddenly know how to fix the problem ourselves in a language we're not familiar with. I am grateful for the software, but as a developer myself, I find that programmers are way too sensitive to criticism. Sometimes users get upset when glaring issues are put on the back burner while other, much less severe bugs are added to new releases. It's going to happen and it's a critical part of the feedback and development cycle. Never is "why don't you fix it yourself?" a proper response.


On Sep 16, 2013, at 8:24 AM, Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de<mailto:Moritz.Struebe@informatik.uni-erlangen.de>> wrote:

On 2013-09-16 13:38, Gross, Christopher W. (Chris) wrote:
This is very disappointing. It's been 6 months since this report was
filed (and since the last release) and even though it was acknowledged
in July, it still was not fixed in the current version. Will we be
stuck with this bug for another six months?

Filing and acknowledging bugs does not fix them. You get X2Go for free,
thus I can see no justification for you to complain. Instead of whining
you could give something back to those people who spent many hours
working on X2Go for free(!). Either by providing a patch your self or by
putting out a bounty.

Morty



--
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de<mailto:struebe@informatik.uni-erlangen.de>
WWW   : http://www4.informatik.uni-erlangen.de/~morty




[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Wed, 06 Nov 2013 23:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to gillianadrian-bayford@live.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Nov 2013 23:18:02 GMT) (full text, mbox, link).


Message #87 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Gillian & Adrian Bayford" <jb@janburian.cz>
To: Recipients <jb@janburian.cz>
Subject: Glücklich Feier
Date: Wed, 06 Nov 2013 16:47:14 -0600
Meine Frau und ich im Euro Millions Lotto gewonnen & wird £1,5
Spenden werden Millionen Pfund für Sie in unsere laufenden Glück zeichnet Spenden. Wenden
Sie sich zurück zu uns mit Ihrem Namen, Alter, Tel senden Land und ich
mehr Ihnen erläutert, wie Ihr Geld an Sie gesendet werden.


Bitte lesen Sie den Artikel - http://www.bbc.co.uk/news/uk-england-19254228

für Ansprüche e-Mail-Adresse kontaktieren: gillian-andbayford@hotmail.com

Gillian & Adrian Bayford


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Thu, 12 Dec 2013 10:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 10:18:01 GMT) (full text, mbox, link).


Message #92 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 139-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 139@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 12 Dec 2013 11:14:18 +0100 (CET)
tag #139 pending
fixed #139 4.0.1.2
thanks

Hello,

X2Go issue #139 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=c0e8c20

The issue will most likely be fixed in src:x2goclient (4.0.1.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c0e8c20c773b36e33094ddc0c867bd098e49a11c
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Thu Dec 12 10:58:47 2013 +0100

    Setting main window focus on mac (Fixes: #139).

diff --git a/debian/changelog b/debian/changelog
index 582891f..d3b9b79 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -61,6 +61,7 @@ x2goclient (4.0.1.2-0x2go2) UNRELEASED; urgency=low
     - Support for GSSApi(Kerberos 5) authentication. Using ssh/scp commands
       on Linux and Mac and plink/pscp on Windows.   
     - Support for ChallengeResponseAuthentication (Google Authenticator)
+    - Setting main window focus on mac (Fixes: #139).
 
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.2):


Added tag(s) pending. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Thu, 12 Dec 2013 10:18:01 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.2. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Thu, 12 Dec 2013 10:18:01 GMT) (full text, mbox, link).


Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#139. (Thu, 12 Dec 2013 10:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Tue, 17 Dec 2013 15:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 17 Dec 2013 15:03:01 GMT) (full text, mbox, link).


Message #104 received at 139@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 139-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 139@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 17 Dec 2013 15:55:20 +0100 (CET)
close #139
thanks

Hello,

we are very hopeful that X2Go issue #139 reported by you
has been resolved in the new release (4.0.1.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=34591fd62844b2b955e6a4bf3cf44d4759c5e44c;hp=d5ff7886ae22a1e36541570e7095fac9860af6e8

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.2-0x2go2
Status: RELEASE
Date: Tue, 17 Dec 2013 15:21:38 +0100
Fixes: 139 230 241 311 315 316 328 333
Changes: 
 x2goclient (4.0.1.2-0x2go2) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.2):
     - Provide Keywords: key in .desktop file.
     - Add NSIS packaging files for win32 builds to source tree.
       (Files provided by Oleksandr Shneyder, thanks!!!).
     - Rename win32 desktop and startmenu icon from "X2goClient" to "X2Go
       Client".
     - Store broker HTTPS certificate exceptions in
       $HOME/.x2go/ssl/exceptions (before: $HOME/ssl/exceptions).
       (Fixes: #328).
     - Perform sanity checks on data that comes in from X2Go Servers.
       Prohibit the execution of arbitrary code via the ~/.bashrc file.
       (Fixes: #333).
     - Add option --broker-cacertfile. Allow usage of non-system-wide
       installed (self-signed) SSL certificate chains for https (SSL)
       session broker connections. (Fixes: #311).
     - Update man page for new --tray-icon cmdline option.
     - Update man page for --broker-url. Explain the syntax of <URL>.
     - Properly handle (=expand) the "~" character in key filenames. (Brought to
       attention by Eldamir on IRC. Thanks!).
     - Expand tilde operator for all other file paths handed over to X2Go Client
       via sessions file or cmdline parameter.
     - Syntax fix of x2goclient.desktop file.
     - Test for various file locations of the pulseaudio cookie file.
     - Allow patching of qmake-qt4 executable path in Makefile.
     - Make qmake-qt4 and lrelease path in Makefile easily replacable (as
       RHEL-5 does not have those tools in $PATH).
     - Make sure that build_client and build_plugin are not build with parallel
       make.
     - Make x2goplugin-provider installable via Makefile.
   * Pull-in packaging changes from Debian.
   * debian/source/format:
     + Switch to format 1.0.
   * x2goclient.spec:
     + Ship x2goclient.spec (RPM package definitions) in upstream project.
       (Thanks to the Fedora package maintainers).
     + Clear (Fedora package) changelog.
     + Make package build on Fedora/EPEL versions that do not have the
       qtbrowserplugin package.
     + For EPEL-5 builds: replace full path to qmake-qt4 and lrelease.
     + Split up package into bin:packages: x2goclient, x2goplugin,
       x2goplugin-provider.
     + Make sure lrelease-qt4 is executed (not just lrelease).
 .
   [ Ricardo Díaz Martín ]
   * New upstream versino (4.0.1.2):
     - Strip whitespaces off of user name, host name and other
       strings when loading / saving session profiles.(Fixes: #315).
     - New option --tray-icon. Force showing the tray icon, even for
       hidden sessions. Also allow creation of .desktop files with
       --tray-icon optionally being enabled. (Fixes: #316).
     - Update Spanish translation.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.2):
     - Support for keys "shadowuser" "shadowdisplay" and "shadowmode" in
       config file. This allows choosing the default display for shadow
       sessions.
     - Support for GSSApi(Kerberos 5) authentication. Using ssh/scp commands
       on Linux and Mac and plink/pscp on Windows.
     - Support for ChallengeResponseAuthentication (Google Authenticator)
     - Setting main window focus on mac (Fixes: #139).
     - Additional check if authentication with GSSApi successfull
     - c121b7e2d3d83abdc2d7a29637bc3294e38b2ec3 broke checking if remote
       command produce only stderr and not stdout. It made x2goclient crash
       if x2gostartagent send LIMIT error. Current commit fixes this issue.
     - SshMasterConnection should use current user name if no user name is
       specified in session settings
     - GSSApi(Kerberos 5) authentication for sshproxy and sshbroker
     - fixed GSSApi(Kerberos 5) authentication for sshproxy and sshbroker
       on windows
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.2):
     - Handle SSH host key changes more elegantly and allow user interaction
       if such a host key change occurs. (Fixes: #241).
 .
   [ Michael DePaulo ]
   * New upstream version (4.0.1.2):
     - win32: Add uninstall information to Add/Remove Programs. (Fixes: #230).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 15:03:05 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Tue, 17 Dec 2013 15:03:05 GMT) (full text, mbox, link).


Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#139. (Tue, 17 Dec 2013 15:03:08 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#139; Package x2goclient. (Thu, 19 Dec 2013 19:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Anne E. Mcevoy" <amcevoy@vsb.bc.ca>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 19 Dec 2013 19:15:02 GMT) (full text, mbox, link).


Message #116 received at 139@bugs.x2go.org (full text, mbox, reply):

From: "Anne E. Mcevoy" <amcevoy@vsb.bc.ca>
Subject: Lexignton Health Care Foundation
Date: Thu, 19 Dec 2013 18:49:34 +0000
[Message part 1 (text/plain, inline)]
Lexignton Health Care Foundation

Please email thomas.bradley@mail.com for more information about this Lucrative Job Offer from Lexignton Health Care Foundation (LHCF). Please respond to us within the next 24 hours.

Regards
Mr Thomas Bradley
thomasbradley@lexigntonhc.com
www.lexigntonhc.com
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 17 Jan 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 05:50:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.